# $Revision: 1.51 $, $Date: 2007/08/06 10:07:04 $
Summary:	Small queueing SMTP relayer
Summary(pl.UTF-8):	Mały agent SMTP relay kolejkujący pocztę
Name:		omta
Version:	0.51
Release:	15
License:	GPL
Group:		Networking/Daemons
#Source0:	ftp://omta.runlevel.net/pub/omta/%{name}-%{version}.tar.gz
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	5a07f592292dce29b584d9745beb30ce
Source1:	%{name}.inetd
Patch0:		%{name}-FHS.patch
Patch1:		%{name}-config.patch
Patch2:		%{name}-%{name}.conf_path.patch
Patch3:		%{name}-configure.patch
# Homepage/domain no longer exists
#URL:		http://omta.runlevel.net/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
Provides:	smtpdaemon
Obsoletes:	smtpdaemon
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_spooldir	/var/spool/omtaqueue

%description
OMTA is an SMTP server tool wich allows people who have a dialup
connection to queue their mail on their hard disk, and send it to
their SMTP server whenever they are online.

OMTA has the following features:
- Works transparently by simulating SENDMAIL.
- Can relay messages to another SMTP server.
- It can also deliver local mail (trough procmail or similar).
- Has built-in SMTP server for the local machine.
- Users can (safely!) set their own private configuration, including
  From address.
- Built around the K.I.S.S. principle ("Keep It Simple, Stupid!")

%description -l pl.UTF-8
OMTA jest narzędziem SMTP który umożliwia ludziom bez stałego dostępu
do sieci kolejkować pocztę na dysku i wysyłać ją do swojego serwera
SMTP kiedy tylko są online.

OMTA ma następujące cechy:
- Pracuje "przezroczyście", udając SENDMAILa
- Może przesyłać listy do innego serwera SMTP
- Może też dostarczać lokalnie pocztę (przez procmaila lub podobne)
- Ma wbudowany serwer SMTP dla lokalnej maszyny
- Użytkownicy mogą (bezpiecznie!) ustawiać ich własną konfigurację,
  włączając w to adresy From
- Zbudowany w oparciu o zasadę K.I.S.S ("Keep It Simple, Stupid!")

%package smtp
Summary:	Omta SMTP local server
Summary(pl.UTF-8):	Lokalny serwer SMTP omta
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}
Requires:	rc-inetd

%description smtp
Setup tcp/25 on localhost with omta-smtp.

%description smtp -l pl.UTF-8
Pakiet włączający omta-smtp na porcie tcp/25 dla tej maszyny.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
cd libgetconf
%{__aclocal}
%{__autoconf}
%{__automake}
cd ..
%configure \
	--with-queuepath=%{_spooldir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_spooldir},%{_prefix}/lib,%{_sbindir},%{_sysconfdir}/{mail,sysconfig/rc-inetd}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

ln -sf %{_bindir}/omta $RPM_BUILD_ROOT%{_prefix}/lib/sendmail
ln -sf %{_bindir}/omta $RPM_BUILD_ROOT%{_sbindir}/sendmail
ln -sf %{_bindir}/omta $RPM_BUILD_ROOT%{_sbindir}/in.smtpd
mv -f omta.conf.dist $RPM_BUILD_ROOT%{_sysconfdir}/mail/omta.conf

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/rc-inetd/smtpd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc FAQ README AUTHORS CHANGES
%dir %attr(770,root,mail) %{_spooldir}
%dir %{_sysconfdir}/mail
%attr(2755,root,mail) %{_bindir}/omta
%attr(755,root,root) %{_bindir}/mailq
%attr(755,root,root) %{_prefix}/lib/sendmail
%attr(755,root,root) %{_sbindir}/sendmail
%config(noreplace) %{_sysconfdir}/mail/omta.conf
%{_mandir}/man*/*

%files smtp
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/in.smtpd
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/smtpd

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: omta.spec,v $
Revision 1.51  2007/08/06 10:07:04  patrys
- drop mutual obsoletes
- rel up

Revision 1.50  2007/02/13 07:16:50  glen
- tabs in preamble

Revision 1.49  2007/02/12 00:49:16  baggins
- converted to UTF-8

Revision 1.48  2006/11/09 20:50:45  glen
- strict internal deps

Revision 1.47  2006/07/26 15:02:19  glen
- avoid defining default %attr

Revision 1.46  2005/10/26 16:32:45  glen
- forgotten mkdir, rel 14

Revision 1.45  2005/10/26 16:30:48  glen
- rel 13

Revision 1.44  2005/10/26 16:30:38  glen
- lib64 fix: /usr/lib/sendmail it is *always*
- adapterized

Revision 1.43  2004/10/21 20:21:15  adamg
- omta.runlevel.net does not exist - reflect it in spec file

Revision 1.42  2004/08/15 21:20:11  adamg
- well, /etc should not, but /etc/mail should belong...

Revision 1.41  2004/08/15 21:17:09  adamg
- /etc should not belong to this package; release 12

Revision 1.40  2004/02/25 21:35:49  blues
- obsoletes nullmailer and ssmtp

Revision 1.39  2004/02/24 20:58:26  blues
- obsoletes courier

Revision 1.38  2003/12/22 12:29:42  qboosh
- updated configure patch to work with ac 2.58+
- removed gettextize - this package doesn't use gettext

Revision 1.37  2003/09/29 23:27:46  ankry
- removed bogus -q from %prep

Revision 1.36  2003/05/28 13:00:03  malekith
- massive attack: source-md5

Revision 1.35  2003/05/25 05:51:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.34  2003/04/26 18:33:03  hunter
- move smtpd config into separate file

Revision 1.33  2003/04/26 08:26:51  qboosh
- typo, permissions, cosmetics, R: omta in -smtp

Revision 1.32  2003/04/25 22:32:14  hunter
- -smtp on tcp/25

Revision 1.31  2002/10/09 13:14:42  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.30  2002/10/04 15:29:26  juandon
- added patch to fix building

Revision 1.27  2002/05/08 06:44:23  kloczek
- release 9.

Revision 1.26  2002/05/07 22:25:47  undefine
- typo

Revision 1.25  2002/03/24 23:28:22  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.24  2002/02/22 23:29:20  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/02/18 11:50:09  gotar
- Obsoletes: exim, masqmail, qmail, sendmail{,-cf,-doc}, smail, zmailer,
- release 8.

Revision 1.22  2002/01/18 02:14:06  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.21  2001/10/01 23:20:13  kloczek
- release 7.

Revision 1.20  2001/09/30 15:37:40  qboosh
- BuildRequires: gettext-devel

Revision 1.19  2001/09/16 12:02:04  kloczek
- added omta.conf_path patch which moved omta.conf file to /etc/mail.

Revision 1.18  2001/09/16 00:27:27  blues
- Release 6 (bugfix)
- config is back in /etc

Revision 1.17  2001/09/13 23:19:45  kloczek
- release 5.

Revision 1.16  2001/09/13 23:19:00  kloczek
- removed redundant --sysconfdir from configure parameters,
- moved config fiels to /etc/mail.

Revision 1.15  2001/09/13 22:18:54  blues
- --setuid removed - it works not that way....

Revision 1.14  2001/09/13 22:16:03  blues
- adapterized
- config patch added - change default configuration-file
- place config in sysconfdir
- added --enable-setuid=mail - there was suid-root...

Revision 1.13  2001/09/10 18:58:08  kloczek
- release 5,
- regenerate ac/am files also in libgetconf subdirectory.

Revision 1.12  2001/09/08 14:00:03  blues
- obsoletes smtpdaemon - should be enought

Revision 1.11  2001/08/22 11:18:18  alchemyx
- url updated

Revision 1.10  2001/05/21 18:27:09  kloczek
- release 3.

Revision 1.9  2001/04/27 12:56:17  roman
- removed Requires: procmail. Who uses omta as an SMTP daemon???

Revision 1.8  2001/04/25 23:10:06  blues
- Release 2
- spool-dir moved
- STB

Revision 1.7  2001/04/25 22:53:17  blues
- ac/am corrected
- symlink /usr/lib/omta /usr/sbin/sendmail

Revision 1.6  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.5  2000/08/30 00:54:33  kloczek
- spec adapterized,
- added missing %attr() in %diles,
- removed %(_bindir)/sendmaile (it is not neccessary) link,
- added autoconf, automake to BuildRequires.

Revision 1.4  2000/06/09 07:54:45  kloczek
- more %{__make} macros.

Revision 1.3  2000/06/09 07:23:27  kloczek
- added using %{__make} macro.

Revision 1.2  2000/05/05 15:27:19  zagrodzki
- URL

Revision 1.1  2000/04/30 09:25:43  zagrodzki
- initial release
